Delete event
DELETE
/events/{eventId}
const url = 'https://safe-api.safetyradar.com/v2/events/123e4567-e89b-12d3-a456-426614174000';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://safe-api.safetyradar.com/v2/events/123e4567-e89b-12d3-a456-426614174000 \ --header 'Authorization: Bearer <token>'Delete an event by UUID or external ID. Returns 404 if event does not exist.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventId
required
Event ID (UUID) or external ID
string
Example
123e4567-e89b-12d3-a456-426614174000Event ID (UUID) or external ID
Responses
Section titled “Responses”Event deleted
Unauthorized
Media typeapplication/json
object
code
required
string
message
required
string
details
object
key
additional properties
Examplegenerated
{ "code": "example", "message": "example", "details": { "additionalProperty": "example" }}Event not found
Media typeapplication/json
object
code
required
string
message
required
string
details
object
key
additional properties
Examplegenerated
{ "code": "example", "message": "example", "details": { "additionalProperty": "example" }}
